<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sd__host__macros__general__purpose" kind="group">
    <compoundname>group_sd_host_macros_general_purpose</compoundname>
    <title>General Purpose Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaa5d42cb85856b0a939887b61837dbcee" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="419" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="419" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gadaca91a1646b33428af0929365c93d6a" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_DRV_VERSION_MINOR</name>
        <initializer>30</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="422" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="422" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga369845f10e0743d8f48279560242e850" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x3AU)</initializer>
        <briefdescription>
<para>SD_HOST PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="428" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="428" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga682e53edfbf01b007cb79d23659b00c7" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_BLOCK_SIZE</name>
        <initializer>(512UL)</initializer>
        <briefdescription>
<para>The SD memory card block size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="430" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="430" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga0e51990794723605d35915325d5e3ded" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_SDSC_ADDR_SHIFT</name>
        <initializer>(9U)</initializer>
        <briefdescription>
<para>This constant is used to get the address for the SDSC card using the shift operation instead of multiply to 512. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="432" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="435" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaa05748a150a5904a69c084e798fa126c" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CLK_25M</name>
        <initializer>(25UL * 1000UL * 1000UL)</initializer>
        <briefdescription>
<para>Clk = 20 MHz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="441" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="438" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga95bf272bd4e2dd460dfe330557505c10" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CLK_50M</name>
        <initializer>(50UL * 1000UL * 1000UL)</initializer>
        <briefdescription>
<para>Clk = 50 MHz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="442" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="439" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga96a4333dde183a4825f3f7414db30f1b" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CLK_100M</name>
        <initializer>(100UL * 1000UL * 1000UL)</initializer>
        <briefdescription>
<para>Clk = 100 MHz. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="443" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="440" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaa56807ade05f5f8ff34fa71e8f1f8eb8" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CLK_RAMP_UP_TIME_MS</name>
        <initializer>(100UL)</initializer>
        <briefdescription>
<para>The host power ramp up time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="445" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="442" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gae6b0b7d64c1290282c330f76b0ccb65d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_CLK_RAMP_UP_TIME_US_WAKEUP</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The default host power ramp up time during wake up from deep sleep. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="455" column="17" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="452" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaf84a4e57cec03657fee98b7643c23c19" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_NOP</name>
        <initializer>(0x0UL)</initializer>
        <briefdescription>
<para>Does not execute the current line and go to next line. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="462" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="459" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaaa71743bf44b0ca95198ac626797a673" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_RSV</name>
        <initializer>(0x2UL)</initializer>
        <briefdescription>
<para>Reserved. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="463" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="460" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga139636b3d397af09581d8e52eea267d1" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_TRAN</name>
        <initializer>(0x4UL)</initializer>
        <briefdescription>
<para>Transfers data of one descriptor line. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="464" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="461" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga8017c139c82b8d700a04af81d9ef713c" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_LINK</name>
        <initializer>(0x6UL)</initializer>
        <briefdescription>
<para>The link to another descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="465" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="462" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaabfaa15e95d13ce6d6f01ed1bea6403d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA3_CMD</name>
        <initializer>(0x1UL)</initializer>
        <briefdescription>
<para>The Command descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="466" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="463" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga2531216d2ab088e701ea0014d6d0af02" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA3_INTERGRATED</name>
        <initializer>(0x7UL)</initializer>
        <briefdescription>
<para>The Integrated descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="467" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="464" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga9ec723cffb3bace3ce5e1dab24d80d3d" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA2_DESCR_SIZE</name>
        <initializer>(0x2UL)</initializer>
        <briefdescription>
<para>The ADMA2 descriptor size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="468" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="465" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga9093dc85b73c877c5ee6520c0d11f5f8" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_ATTR_VALID_POS</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>The ADMA Attr Valid position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="471" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="468" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga3cc1f13039d7d8af9cbfaa564a020fb0" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_ATTR_END_POS</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The ADMA Attr End position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="472" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="469" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gacf618278189cb5512c296ffa9ed6ad45" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_ATTR_INT_POS</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>The ADMA Attr Int position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="473" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="470" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1gaf3aaee64fb2fe72750694dda06acabd4" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_ACT_POS</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>The ADMA Act position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="474" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="471" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga8fee065d8f6e09017a8768d51dfedc18" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_RESERVED2_POS</name>
        <initializer>(6U)</initializer>
        <briefdescription>
<para>The ADMA Reserved2 position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="475" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="472" />
      </memberdef>
      <memberdef id="group__group__sd__host__macros__general__purpose_1ga9f9c386bd495e1fce384127d3275b8ca" kind="define" prot="public" static="no">
        <name>CY_SD_HOST_ADMA_LEN_POS</name>
        <initializer>(16U)</initializer>
        <briefdescription>
<para>The ADMA Len position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="476" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="473" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>